<?xml version="1.0" encoding="UTF-8"?><?xml-stylesheet type='text/xsl' href='_UpgradeReport_Files/UpgradeReport.xslt'?><UpgradeLog>
<Properties><Property Name="Solution" Value="PerpetuumSoft.Widgets">
</Property><Property Name="Solution File" Value="C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.sln">
</Property><Property Name="Date" Value="17 ноября 2009 г.">
</Property><Property Name="Time" Value="18:47:52">
</Property></Properties><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.csproj" Description="Project file successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.csproj">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="GeneratedAssemblyInfo.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\GeneratedAssemblyInfo.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.AboutEditor.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.AboutEditor.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.AboutForm.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.AboutForm.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.AdvancedLevel.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.AdvancedLevel.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.AdvancedSlider.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.AdvancedSlider.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.AdvancedSliderBase.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.AdvancedSliderBase.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.AdvancedTank.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.AdvancedTank.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.AdvancedThermometer.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.AdvancedThermometer.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.AnalogClock.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.AnalogClock.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Bevel.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Bevel.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.BevelConverter.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.BevelConverter.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.BevelStyle.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.BevelStyle.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.ButtonBase.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.ButtonBase.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.ButtonBehaviour.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.ButtonBehaviour.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.CircularGauge.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.CircularGauge.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Clock.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Clock.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Compas.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Compas.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Dial.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Dial.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.DigitalClock.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.DigitalClock.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.DigitalLED.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.DigitalLED.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.DigitsDisplay.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.DigitsDisplay.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.DigitsDisplayConverter.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.DigitsDisplayConverter.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.DisplayPanel.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.DisplayPanel.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.FaceStyle.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.FaceStyle.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.FlatStyle3D.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.FlatStyle3D.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.GraphicsUtils.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.GraphicsUtils.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.ImageMode.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.ImageMode.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.InstrumentationControl.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.InstrumentationControl.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Knob.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Knob.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.LevelBar.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.LevelBar.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.LevelSlider.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.LevelSlider.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Licensing.AssemblyDateAttribute.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Licensing.AssemblyDateAttribute.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Licensing.LicenseAttribute.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Licensing.LicenseAttribute.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Licensing.LicenseHolder.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Licensing.LicenseHolder.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Licensing.LicenseOptionAttribute.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Licensing.LicenseOptionAttribute.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Licensing.LicensingUtilities.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Licensing.LicensingUtilities.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Licensing.PerpetuumSoftLicense.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Licensing.PerpetuumSoftLicense.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Licensing.PerpetuumSoftLicenseProvider.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Licensing.PerpetuumSoftLicenseProvider.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Licensing.RegKey.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Licensing.RegKey.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Licensing.TrialForm.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Licensing.TrialForm.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Licensing.WarningForm.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Licensing.WarningForm.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Licensing.WidgetsLicenseHolder.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Licensing.WidgetsLicenseHolder.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Licensing.WidgetsLicenseProvider.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Licensing.WidgetsLicenseProvider.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Light.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Light.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.LightStyle.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.LightStyle.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.LinearControlBase.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.LinearControlBase.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Matrix.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Matrix.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Meter.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Meter.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.MultimediaButton.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.MultimediaButton.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.MultimediaButtonBase.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.MultimediaButtonBase.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.MultiPositionSwitch.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.MultiPositionSwitch.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Odometer.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Odometer.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.OdometerStyle.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.OdometerStyle.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Orientation.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Orientation.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Oscilloscope.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Oscilloscope.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.PowerSwitch.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.PowerSwitch.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.ProgressBar.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.ProgressBar.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.RotarySlider.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.RotarySlider.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.ScaleColorMode.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.ScaleColorMode.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.ShapeEditor.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.ShapeEditor.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.ShapeGenerator.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.ShapeGenerator.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.ShapeKinds.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.ShapeKinds.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.ShapeLed.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.ShapeLed.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.SkinButton.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.SkinButton.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.SkinIndicator.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.SkinIndicator.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Slider.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Slider.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.SliderElementsPosition.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.SliderElementsPosition.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.SliderStyle.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.SliderStyle.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.SlidingGauge.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.SlidingGauge.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Switch.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Switch.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.TextScrollStyle.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.TextScrollStyle.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Thermometer.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Thermometer.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Toggle.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.Toggle.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.ValueEditor.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.ValueEditor.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.ValuePresenter.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\PerpetuumSoft.Widgets.ValuePresenter.cs">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="_Module_.cs" Description="File successfully backed up as C:\Instrumentation Widgets 3.0\Source\Backup\_Module_.cs">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.AboutForm.resources" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.AboutForm.resources">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.AdvancedLevel.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.AdvancedLevel.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.AdvancedSlider.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.AdvancedSlider.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.AdvancedTank.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.AdvancedTank.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.AdvancedTank.resources" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.AdvancedTank.resources">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.AdvancedThermometer.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.AdvancedThermometer.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.AnalogClock.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.AnalogClock.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.AnalogClock.resources" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.AnalogClock.resources">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.CircularGauge.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.CircularGauge.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Clock.resources" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.Clock.resources">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Compas.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.Compas.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Dial.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.Dial.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Dial.resources" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.Dial.resources">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.DigitalClock.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.DigitalClock.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.DigitalClock.resources" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.DigitalClock.resources">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.DigitalLED.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.DigitalLED.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.DisplayPanel.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.DisplayPanel.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.DisplayPanel.resources" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.DisplayPanel.resources">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.InstrumentationControl.resources" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.InstrumentationControl.resources">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Knob.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.Knob.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.LevelBar.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.LevelBar.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.LevelSlider.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.LevelSlider.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Licensing.License.rtf" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.Licensing.License.rtf">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Licensing.TrialForm.resources" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.Licensing.TrialForm.resources">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Licensing.WarningForm.resources" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.Licensing.WarningForm.resources">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Light.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.Light.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Light.resources" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.Light.resources">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Matrix.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.Matrix.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Meter.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.Meter.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.MultimediaButton.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.MultimediaButton.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.MultiPositionSwitch.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.MultiPositionSwitch.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Odometer.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.Odometer.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Oscilloscope.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.Oscilloscope.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.PowerSwitch.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.PowerSwitch.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.ProgressBar.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.ProgressBar.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.RotarySlider.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.RotarySlider.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.ShapeLed.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.ShapeLed.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.SkinButton.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.SkinButton.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.SkinIndicator.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.SkinIndicator.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Slider.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.Slider.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.SlidingGauge.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.SlidingGauge.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Switch.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.Switch.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Thermometer.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.Thermometer.bmp">
</Event><Event ErrorLevel="2" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.Toggle.bmp" Description="Failed to backup file as C:\Instrumentation Widgets 3.0\Source\Backup\C:\Instrumentation Widgets 3.0\Source\PerpetuumSoft.Widgets.Toggle.bmp">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.csproj" Description="Project converted successfully">
</Event><Event ErrorLevel="3" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.csproj" Description="Converted">
</Event><Event ErrorLevel="0" Project="PerpetuumSoft.Widgets" Source="PerpetuumSoft.Widgets.csproj" Description="Scan complete: Upgrade not required for project files.">
</Event></UpgradeLog>